Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.datatype.xsd.regex
Interface Regex

    public interface Regex

A regular expression that can be matched against a string.

See Also:
  `RegexEngine`

Method Summary
`boolean` | `matches(java.lang.String str)` Tests whether this regular expression matches a string.

Method Detail

### matches

    boolean matches(java.lang.String str)

  Tests whether this regular expression matches a string.

  Parameters:
    `str` - the String to be tested
  Returns:
    `true` if `str` matches this regular expression, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD